## libpeas 1.38.1

=== meson_options.txt ===
option('lua51',
       type: 'boolean', value: true,
       description: 'Enable Lua 5.1 support (requires lua-lgi)')

option('python2',
       type: 'boolean', value: false,
       description: 'Enable Python 2 support (requires pygobject)')
option('python3',
       type: 'boolean', value: true,
       description: 'Enable Python 3 support (requires pygobject)')

option('python2_path',
       type: 'string', value: '',
       description: 'Path to Python 2.x interpreter (Windows only)')
option('python3_path',
       type: 'string', value: '',
       description: 'Path to Python 3.x interpreter (Windows only)')

option('introspection',
       type: 'boolean', value: true,
       description: 'Generate introspection data (requires girepository-2.0)')
option('vapi',
       type: 'boolean', value: false,
       description: 'Generate vapi data (requires vapigen)')

option('widgetry',
       type: 'boolean', value: true,
       description: 'Build GTK+ widgetry (requires gtk+)')
option('glade_catalog',
       type: 'boolean', value: true,
       description: 'Install Glade catalog (requires gladeui)')

option('demos',
       type: 'boolean', value: true,
       description: 'Build demo programs')

option('gtk_doc',
       type: 'boolean', value: false,
       description: 'Build reference manual (requires gi-docgen)')

=== debian/changelog ===
libpeas (1.38.1-4) unstable; urgency=medium

  * Increase versioned Breaks/Replaces (LP: #2141258)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 09 Feb 2026 14:25:57 -0500

libpeas (1.38.1-3) unstable; urgency=medium

  * Release to unstable (LP: #2141258)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 09 Feb 2026 07:10:17 -0500

libpeas (1.38.1-2) experimental; urgency=medium

  * Remove obsolete Breaks: no longer needed with a proper soname bump
  * Add Breaks/Replaces: libpeas-1.0-0 to libpeas-1.0-1
    since both include the unversioned libpython3loader.so

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 08 Feb 2026 22:36:12 -0500

libpeas (1.38.1-1) experimental; urgency=medium

  * New upstream release
  * Rename packages for soname bump
  * Remove girepository-2.0 patches: applied in new release
  * Move Maintainer from Debian GNOME to Debian GNOME Extras
  * Bump Standards Version to 4.7.3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 31 Jan 2026 17:12:31 -0500

=== debian/control ===
Source: libpeas
Section: libs
Maintainer: Debian GNOME Extras Maintainers <pkg-gnome-extras-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
Build-Depends: adwaita-icon-theme <!nocheck>,
               debhelper-compat (= 13),
               dh-sequence-gir,
               dh-sequence-gnome,
               gir1.2-gio-2.0-dev (>= 2.86.0-7~),
               gir1.2-girepository-3.0-dev (>= 2.86.0-7~),
               gir1.2-gmodule-2.0-dev (>= 2.86.0-7~),
               gir1.2-gobject-2.0-dev (>= 2.86.0-7~),
               gir1.2-gtk-3.0-dev,
               gi-docgen <!nodoc>,
               gobject-introspection (>= 1.80),
               libgirepository-2.0-dev (>= 2.86.0-7~),
               libglib2.0-dev (>= 2.86.0-7~),
               libgtk-3-dev (>= 3.0.0),
               meson (>= 0.50),
               python-gi-dev (>= 3.52),
               python3-dev (>= 3.2.0),
               python3-gi (>= 3.52),
               xauth <!nocheck>,
               xvfb <!nocheck>
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/gnome-team/extras/libpeas
Vcs-Git: https://salsa.debian.org/gnome-team/extras/libpeas.git
Homepage: https://wiki.gnome.org/Projects/Libpeas

Package: libpeas-1.0-1
Architecture: any
Depends: libpeas-common, ${misc:Depends}, ${shlibs:Depends}
Breaks: libpeas-1.0-0 (<< 1.38.1-4~)
Replaces: libpeas-1.0-0 (<< 1.38-4~)
Multi-Arch: same
Description: Application plugin library
 libpeas is a library that allows applications to support plugins.

Package: libpeas-dev
Section: libdevel
Architecture: any
Depends: libgirepository-2.0-dev (>= 2.86.0-7~),
         libglib2.0-dev (>= 2.86.0-7~),
         libgtk-3-dev (>= 3.0.0),
         libpeas-1.0-1 (= ${binary:Version}),
         ${gir:Depends},
         ${misc:Depends}
Provides: ${gir:Provides}
Suggests: libpeas-doc
Multi-Arch: same
Description: Application plugin library (development files)
 libpeas is a library that allows applications to support plugins.
 .
 This package contains the headers files required for developing software that
 uses libpeas.

Package: libpeas-doc
Section: doc
Multi-Arch: foreign
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Build-Profiles: <!nodoc>
Description: Application plugin library (documentation)
 libpeas is a library that allows applications to support plugins.
 .
 This package contains the API reference for libpeas.

Package: libpeas-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Application plugin library (common files)
 libpeas is a library that allows applications to support plugins.
 .
 This package contains common files, such as translations and icons.

Package: gir1.2-peas-1.0
Section: introspection
Architecture: any
Depends: ${gir:Depends}, ${misc:Depends}
Provides: ${gir:Provides}
Multi-Arch: same
Description: Application plugin library (introspection files)
 libpeas is a library that allows applications to support plugins.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

# needed with the Ubuntu toolchain to avoid issues
export DEB_LDFLAGS_MAINT_STRIP := -Wl,-Bsymbolic-functions

built_binaries := $(shell dh_listpackages)
configure_flags =

ifeq ($(filter %-doc,$(built_binaries)),)
configure_flags += -Dgtk_doc=false
else
configure_flags += -Dgtk_doc=true
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dlua51=false \
		-Dpython2=false \
		-Dpython3=true \
		$(configure_flags)

override_dh_makeshlibs:
	dh_makeshlibs -p libpeas-1.0-1 \
		-X/usr/lib/$(DEB_HOST_MULTIARCH)/libpeas-1.0/ -- -c4
	dh_makeshlibs --remaining-packages

override_dh_auto_test:
	debian/tests/run-with-display x11 \
	dh_auto_test -- \
		--timeout-multiplier=6

override_dh_gnome_clean:
	dh_gnome_clean --no-control
